For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
      • GETGet payables list from accounting system
      • GETGet payable details from accounting system
      • GETGet invoice list from accounting system
      • GETGet invoice details from accounting system
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounting integrationAccounting data pull

Get invoice list from accounting system

GET
/accounting/receivables
GET
/v1/accounting/receivables
$curl https://api.sandbox.monite.com/v1/accounting/receivables \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "currency": "EUR",
6 "currency_rate": 1.1,
7 "customer_ref": {
8 "id": "120",
9 "company_name": "Acme Inc."
10 },
11 "due_date": "2024-01-15T09:30:00Z",
12 "invoice_number": "invoice_number",
13 "lines": [
14 {
15 "description": "Logo design",
16 "discount_amount": 1.1,
17 "discount_percentage": 1.1,
18 "ledger_account_id": "ledger_account_id",
19 "quantity": 1.1,
20 "tax_rate_ref": {
21 "id": "id"
22 },
23 "unit_amount": 1.1
24 }
25 ],
26 "memo": "memo",
27 "pass_through": {
28 "key": "value"
29 },
30 "posted_date": "posted_date"
31 }
32 ]
33}
Returns a list of invoices that exist in the entity's accounting system. This requires that an accounting connection has been previously established. Refer to the [Accounting integration guide](https://docs.monite.com/accounting/integration/index) for details. This endpoint only provides read-only access to the accounting system's data but does not pull those invoices into Monite. You can use it to review the data in the accounting system and find out which of those invoices already exist or do not exist in Monite. Data is actual as of the date and time of the last accounting synchronization, which is specified by the `last_pull` value in the response from `GET /accounting_connections/{connection_id}`. To make sure you are accessing the most up-to-date accounting data, you can use `POST /accounting_connections/{connection_id}/sync` to trigger on-demand synchronization before getting the invoice list.
Was this page helpful?
Previous

Get invoice details from accounting system

Next
Built with

Returns a list of invoices that exist in the entity’s accounting system. This requires that an accounting connection has been previously established. Refer to the Accounting integration guide for details.

This endpoint only provides read-only access to the accounting system’s data but does not pull those invoices into Monite. You can use it to review the data in the accounting system and find out which of those invoices already exist or do not exist in Monite.

Data is actual as of the date and time of the last accounting synchronization, which is specified by the last_pull value in the response from GET /accounting_connections/{connection_id}. To make sure you are accessing the most up-to-date accounting data, you can use POST /accounting_connections/{connection_id}/sync to trigger on-demand synchronization before getting the invoice list.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

limitintegerOptional1-500Defaults to 100
Number of results per page.
offsetintegerOptional>=0Defaults to 0
Number of results to skip before selecting items to return.

Response

Successful Response
datalist of objects

Errors

422
Get Accounting Receivables Request Unprocessable Entity Error
500
Get Accounting Receivables Request Internal Server Error